domxml_xmltree
domxml_xslt_stylesheet_file
DOM XML (PHP 4) Functions
PHP Manual

# domxml_xslt_stylesheet_doc

(PHP 4 >= 4.2.0)

domxml_xslt_stylesheet_doc — Creates a DomXsltStylesheet Object from a DomDocument Object

### Description

DomXsltStylesheet domxml_xslt_stylesheet_doc ( DomDocument `$xsl_doc` )

Creates a DomXsltStylesheet object from the given XSL document.

### Parameters

`xsl_doc`

  The XSL document, as a DomDocument object.

### Return Values

Returns a new instance of DomXsltStylesheet.

### Migrating to PHP 5

Call XSLTProcessor::importStylesheet() with the `xsl_doc` parameter.

### See Also

- DomXsltStylesheet->process
- domxml_xslt_stylesheet() - Creates a DomXsltStylesheet object from an XSL document in a string
- domxml_xslt_stylesheet_file() - Creates a DomXsltStylesheet Object from an XSL document in a file

domxml_xmltree
domxml_xslt_stylesheet_file
DOM XML (PHP 4) Functions
PHP Manual